--- send_nsca.c	Tue Jul  3 21:57:29 2007
+++ send_nsca_del.c	Tue Jan 18 11:30:17 2011
@@ -432,8 +432,15 @@
 		/* delimiter to use when parsing input */
 		else if(!strcmp(argv[x-1],"-d")){
 			if(x<argc){
+				if(strlen(argv[x]) > 1){
+					printf("only 1 delimiter character allowed, got %d, '%s'\n", strlen(argv[x]), argv[x]);
+					return ERROR;
+				}
 				snprintf(delimiter,sizeof(delimiter),"%s",argv[x]);
 				delimiter[sizeof(delimiter)-1]='\x0';
+#ifdef DEBUG
+				printf("delimiter='%s'\n",delimiter);
+#endif
 				x++;
 			        }
 			else
